- Qt 5.15
- Qt 3D
- C++ Classes
- QAspectJob
- Qt 5.15.18 Reference Documentation

# QAspectJob Class

class Qt3DCore::QAspectJob

The base class for jobs executed in an aspect. More...

Header: | #include <Qt3DCore/QAspectJob>
qmake: | QT += 3dcore

- List of all members, including inherited members

## Public Functions

void | addDependency(QWeakPointer<QAspectJob> dependency)
QVector<QWeakPointer<QAspectJob>> | dependencies() const
void | removeDependency(QWeakPointer<QAspectJob> dependency)
virtual void | run() = 0

## Detailed Description

## Member Function Documentation

### void QAspectJob::addDependency(QWeakPointer<QAspectJob> dependency)

Adds dependency to the aspect job.

### QVector<QWeakPointer<QAspectJob>> QAspectJob::dependencies() const

Returns the dependencies of the aspect job.

### void QAspectJob::removeDependency(QWeakPointer<QAspectJob> dependency)

Removes the given dependency from aspect job.

### `[pure virtual]` void QAspectJob::run()

Executes the job.